Subject: [Gen-art] Gen-ART review of draft-ietf-lemonade-reconnect-client-06.txt

From: Brian E Carpenter <[email-masked]>
Date: Tue, 16 Oct 2007 09:27:38 +1300

_______________________________________________
Gen-art mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/gen-art

---

From: Alexey Melnikov <[email-masked]>
Date: Sun, 21 Oct 2007 17:56:09 +0100

Brian E Carpenter wrote:

>I have been selected as the General Area Review Team (Gen-ART)
>reviewer for this draft (for background on Gen-ART, please see
>http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).
>
>Please wait for direction from your document shepherd
>or AD before posting a new version of the draft.
>
>Document: draft-ietf-lemonade-reconnect-client-06.txt
>Reviewer: Brian Carpenter
>Review Date:  2007-10-16
>IETF LC End Date: 2007-07-26
>IESG Telechat date: 2007-10-18
>
>Summary: Ready, minor comments
>  
>
Hi Brian,
Thanks for the comments.

>Comments:
>
>1. I assume the WG carefully considered the risks of loss of
>synchronization due to VANISHED responses sent at the wrong time
>  
>
I think so.

>(i.e. at the times forbidden in the second half of section 3.6).
>  
>
The VANISHED response has the same restrictions as the EXPUNGE response 
(which is in RFC 3501). So this is not really different from unextended 
IMAP.

>I don't know IMAP well enough to know if there's a way to rebuild
>correct state after a synchronization error.
>  
>
Yes, the client can fetch flags for all messages. This uses only the 
basic IMAP (RFC 3501) and will work in all cases.

>2. I don't understand the reference to AUTH48 in the IANA Considerations.
>Normally such an update would be made by arrangement between IANA
>and the RFC Editor during editing, before AUTH48. In any case, is
>the WG recommending that the chosen name for the capability should
>be "QRESYNC"? If so, why not just say so?
>
This was addressed by an RFC editor note.

Thanks,
Alexey